#include "std.mi"

Global Container containerMain;
Global Layout mainNormal;
Global Layout mainCoverArt;
Global Layout mainVisualisation;
Global Layout mainCompact;
Global Layout mainCompactCoverArt;
Global Layout mainCompactVisualisation;
Global Layout mainStick;

Global Button normalSwitch;
Global Button CoverArtSwitch;
Global Button VisualisationSwitch;
Global Button CompactSwitch;
Global Button CompactCoverArtSwitch;
Global Button CompactVisualisationSwitch;
Global Button Stick;

Function switchPopup();

System.onScriptLoaded() {
  containerMain = System.getContainer("main");

  mainNormal = containerMain.getLayout("normal");
  mainCoverArt = containerMain.getLayout("CoverArt");
  mainVisualisation = containerMain.getLayout("Visualisation");
  mainCompact = containerMain.getLayout("Compact");
  mainCompactCoverArt = containerMain.getLayout("CompactCoverArt");
  mainCompactVisualisation = containerMain.getLayout("CompactVisualisation");
  mainStick = containerMain.getLayout("Stick");

  normalSwitch = mainNormal.findObject("Switch Layouts");
  CoverArtSwitch = mainCoverArt.findObject("Switch Layouts");
  VisualisationSwitch = mainVisualisation.findObject("Switch Layouts");
  CompactSwitch = mainCompact.findObject("Switch Layouts");
  CompactCoverArtSwitch = mainCompactCoverArt.findObject("Switch Layouts");
  CompactVisualisationSwitch = mainCompactVisualisation.findObject("Switch Layouts");
  StickSwitch = mainStick.findObject("Switch Layouts");
}

normalSwitch.onLeftClick() { switchPopup(); }
CoverArtSwitch.onLeftClick() { switchPopup(); }
VisualisationSwitch.onLeftClick() { switchPopup(); }
CompactSwitch.onLeftClick() { switchPopup(); }
CompactCoverArtSwitch.onLeftClick() { switchPopup(); }
CompactVisualisationSwitch.onLeftClick() { switchPopup(); }
StickSwitch.onLeftClick() { switchPopup(); }

normalSwitch.onLeftButtonUp(Int intPosX, Int intPosY) { complete;}
CoverArtSwitch.onLeftButtonUp(Int intPosX, Int intPosY) { complete;}
VisualisationSwitch.onLeftButtonUp(Int intPosX, Int intPosY) { complete;}
CompactSwitch.onLeftButtonUp(Int intPosX, Int intPosY) { complete;}
CompactCoverArtSwitch.onLeftButtonUp(Int intPosX, Int intPosY) { complete;}
CompactVisualisationSwitch.onLeftButtonUp(Int intPosX, Int intPosY) { complete;}
StickSwitch.onLeftButtonUp(Int intPosX, Int intPosY) { complete;}

switchPopup() {
  PopupMenu switchMenu;

  switchMenu = new PopupMenu;
  switchMenu.addCommand("Normal ", 1, (mainNormal.isVisible()), 0);
  switchMenu.addCommand("CoverArt ", 2, (mainCoverArt.isVisible()), 0);
  switchMenu.addCommand("Visualisation ", 3, (mainVisualisation.isVisible()), 0);
  switchMenu.addCommand("Compact ", 4, (mainCompact.isVisible()), 0);
  switchMenu.addCommand("Compact CoverArt ", 5, (mainCompactCoverArt.isVisible()), 0);
  switchMenu.addCommand("Compact Visualisation ", 6, (mainCompactVisualisation.isVisible()), 0);
  switchMenu.addCommand("Stick ", 7, (mainStick.isVisible()), 0);

  if (switchMenu == Null) { return; }
  Int switchNumber = switchMenu.popAtMouse();
  if (switchNumber > 0) {
    if (switchNumber == 1) { containerMain.switchToLayout("normal"); }
    if (switchNumber == 2) { containerMain.switchToLayout("CoverArt"); }
    if (switchNumber == 3) { containerMain.switchToLayout("Visualisation"); }
    if (switchNumber == 4) { containerMain.switchToLayout("Compact"); }
    if (switchNumber == 5) { containerMain.switchToLayout("CompactCoverArt"); }
    if (switchNumber == 6) { containerMain.switchToLayout("CompactVisualisation"); }
    if (switchNumber == 7) { containerMain.switchToLayout("Stick"); }
  }
  complete;

  delete switchMenu;
}

