#include "std.mi"

Global Container containerMain;
Global Layout mainCoverArt;
Global Layout mainVisualisation;
Global Layout mainCompactCoverArt;
Global Layout mainCompactVisualisation;

Global Button CoverArtSwitch;
Global Button VisualisationSwitch;
Global Button CompactCoverArtSwitch;
Global Button CompactVisualisationSwitch;

Function switchPopup();

System.onScriptLoaded() {
  containerMain = System.getContainer("main");

  mainCoverArt = containerMain.getLayout("CoverArt");
  mainVisualisation = containerMain.getLayout("Visualisation");
  mainCompactCoverArt = containerMain.getLayout("CompactCoverArt");
  mainCompactVisualisation = containerMain.getLayout("CompactVisualisation");

  CoverArtSwitch = mainCoverArt.findObject("Display Options");
  VisualisationSwitch = mainVisualisation.findObject("Display Options");
  CompactCoverArtSwitch = mainCompactCoverArt.findObject("Display Options");
  CompactVisualisationSwitch = mainCompactVisualisation.findObject("Display Options");
}

CoverArtSwitch.onLeftClick() { switchPopup(); }
VisualisationSwitch.onLeftClick() { switchPopup(); }
CompactCoverArtSwitch.onLeftClick() { switchPopup(); }
CompactVisualisationSwitch.onLeftClick() { switchPopup(); }

CoverArtSwitch.onLeftButtonUp(Int intPosX, Int intPosY) { complete;}
VisualisationSwitch.onLeftButtonUp(Int intPosX, Int intPosY) { complete;}
CompactCoverArtSwitch.onLeftButtonUp(Int intPosX, Int intPosY) { complete;}
CompactVisualisationSwitch.onLeftButtonUp(Int intPosX, Int intPosY) { complete;}

switchPopup() {
  PopupMenu switchMenu;

  switchMenu = new PopupMenu;
  switchMenu.addCommand("Cover Art ", 1, (mainCoverArt.isVisible()), 0);
  switchMenu.addCommand("Visualisation ", 2, (mainVisualisation.isVisible()), 0);
  switchMenu.addCommand("Compact Cover Art ", 3, (mainCompactCoverArt.isVisible()), 0);
  switchMenu.addCommand("Compact Visualisation ", 4, (mainCompactVisualisation.isVisible()), 0);

  if (switchMenu == Null) { return; }
  Int switchNumber = switchMenu.popAtMouse();
  if (switchNumber > 0) {
    if (switchNumber == 1) { containerMain.switchToLayout("CoverArt"); }
    if (switchNumber == 2) { containerMain.switchToLayout("Visualisation"); }
    if (switchNumber == 3) { containerMain.switchToLayout("CompactCoverArt"); }
    if (switchNumber == 4) { containerMain.switchToLayout("CompactVisualisation"); }
  }
  complete;

  delete switchMenu;
}

